Subject: Re: [PATCH v2] net: Destroy previously created kthreads after failing to set napi threaded mode

From: Jakub Kicinski <[email-masked]>
Date: Fri, 30 Jun 2023 08:32:09 -0700

On Fri, 30 Jun 2023 13:43:53 +0800 Zqiang wrote:
> When setting 1 to enable napi threaded mode, will traverse dev->napi_list
> and create kthread for napi->thread, if creation fails, the dev->threaded
> will be set to false and we will clear NAPI_STATE_THREADED bit for all
> napi->state in dev->napi_list, even if some napi that has successfully
> created the kthread before. as a result, for successfully created napi
> kthread, they will never be used.
> 
> This commit therefore destroy previously created napi->thread if setting
> napi threaded mode fails.

Please don't send two patches in less than 24h, unless someone asks you
to on the list. A lot of people read the list from the oldest postings,
won't notice the newer one, and it will split the discussion.
-- 
pw-bot: cr